Fatal error

Hi Everyone,
When I compile llvm 2.8 with the option --disable-optimized --enable-assertions on
Leopard with Ocaml 3.11, I get the following fatal error when it starts to build
the ocaml docs.

llvm[1]: Installing HTML documentation
llvm[1]: Building ocamldoc documentation
llvm[3]: Documenting llvm.odoc
llvm[3]: Documenting llvm_bitreader.odoc
llvm[3]: Documenting llvm_bitwriter.odoc
llvm[3]: Documenting llvm_analysis.odoc
llvm[3]: Documenting llvm_target.odoc
llvm[3]: Documenting llvm_executionengine.odoc
llvm[4]: Documenting llvm_scalar_opts.odoc
Fatal error: exception Failure(“There are two interfaces of module Llvm_analysis.”)
make[1]: *** [regen-ocamldoc] Error 2
make: *** [install] Error 1

This error does not happen when I install in Release mode or Debug mode. It only happens
when building llvm with Debug+Asserts enabled. Thanks.

George

Hi George, I suggest you open a bug report if it still occurs with LLVM 2.9.

Ciao, Duncan.